0

CK Editor install problem

asked 2015-10-09 14:51:03 +0800

KGUE gravatar image KGUE
1

Hello,

I'm actualy working on a ZK7 project (MVVM), and I've got a problem with the ZK Editor.

I added this depedance to my pom.xml file

<dependency>
    <groupId>org.zkoss.zkforge</groupId>
    <artifactId>ckez</artifactId>
    <version>4.3.3.1</version>
</dependency>

I followed the installation instructions in the CK Editor Documentation : "books.zkoss.org/wiki/ZKComponentReference/Input/CKEditor" and added the following code lines in lang-addon.xml

<component>
        <component-name>ckeditor</component-name>
        <extends>ckeditor</extends>
        <component-class>org.zkforge.ckez.CKeditor</component-class>
        <annotation>
            <annotation-name>ZKBIND</annotation-name>
            <property-name>value</property-name>
            <attribute>
                <attribute-name>ACCESS</attribute-name>
                <attribute-value>both</attribute-value>
            </attribute>
            <attribute>
                <attribute-name>SAVE_EVENT</attribute-name>
                <attribute-value>onChange</attribute-value>
            </attribute>
            <attribute>
                <attribute-name>LOAD_REPLACEMENT</attribute-name>
                <attribute-value>value</attribute-value>
            </attribute>
            <attribute>
                <attribute-name>LOAD_TYPE</attribute-name>
                <attribute-value>java.lang.String</attribute-value>
            </attribute>
        </annotation>
    </component>

I create a CK Editor in my .zul :

<ckeditor width="850px" height="100px" />

And when I open my screen on IE 11(running in Enterprise Mode emulating IE8) I've got this error message :

object doesn't support property or method "ckeditor" file : ckez.wpd, line : 6, column : 5122

on firefox 41.0.1 I've got this one :

TypeError: jq(...).ckeditor is not a function ckez.wpd:6:5122

Please, someone knows how to fix this issue ?

delete flag offensive retag edit

3 Answers

Sort by » oldest newest most voted
0

answered 2015-10-09 15:00:18 +0800

chillworld gravatar image chillworld flag of Belgium
5337 4 9
https://github.com/chillw...

updated 2015-10-12 07:36:05 +0800

I don't see version 4.3.3.1 here.

Can you try changing to 4.3.3.0?

The best solution could be comparing your project with this project(download it) :

http://www.zkoss.org/zkdemo/input/wysiwyg_editor

That's also how I installed ckeditor in mine application.

Greetz chill.

link publish delete flag offensive edit
0

answered 2015-10-12 07:17:37 +0800

KGUE gravatar image KGUE
1

Hello,

Same error when I change the version number and update the maven project.

Regards,

K.

link publish delete flag offensive edit
0

answered 2019-08-30 15:24:42 +0800

subashrajendran gravatar image subashrajendran
1

updated 2019-09-05 14:22:18 +0800

cor3000 gravatar image cor3000
4671 2 7
ZK Team

Fixed this issue adding ckez dependency in maven pom.xml

<dependency>
    <groupId>org.zkoss.zkforge</groupId>
    <artifactId>ckez</artifactId>
    <version>4.4.6.3</version>
</dependency>
link publish delete flag offensive edit
Your answer
Please start posting your answer anonymously - your answer will be saved within the current session and published after you log in or create a new account. Please try to give a substantial answer, for discussions, please use comments and please do remember to vote (after you log in)!

[hide preview]

Question tools

Follow
2 followers

RSS

Stats

Asked: 2015-10-09 14:51:03 +0800

Seen: 47 times

Last updated: Sep 05

Support Options
  • Email Support
  • Training
  • Consulting
  • Outsourcing
Learn More